<head>
  <title>GCode Preview 2.0 </title>
  <link rel="stylesheet" href="style.css" />
</head>

<body>
  <div class="sidebar">
    <div>
      <h1>GCode Preview 2.0</h1>

      <section>
        <a id="file-name"></a>
        <div id="layer-count"></div>
        <div id="file-size"></div>
      </section>
      <section>
        <div class="controls">
          <label>Layers:</label>&nbsp;<input
            type="range"
            min="0"
            value="0"
            id="layers"
            class="slider"
          />
        </div>
        <div class="controls">
          <label for="extrusion">Extrusion</label
          ><input type="checkbox" id="extrusion" />
        </div>
        <div class="controls">
          <label for="travel">Travel</label>
          <input type="checkbox" id="travel" />

       </div>
      </section>

      <p>Drag your gcode to the</br> browser screen to see it</p>
    </div>
  </div>

  <div id="renderer" class="gcode-previewer"></div>
  <script src="three.min.js"></script>
  <script src="OrbitControls.js"></script>
  <script src="dist/gcode-preview.js"></script>
  <script src="demo.js"></script>
  <script>
    const gcodeDemo = initDemo();
    loadGCodeFromServer('benchy.gcode');
  </script>
</body>
